routes/web.php
<?php
use App\Mail\mailme;


Route::get('/', 'Controller@index');

// Authentication Routes...
$this->get('login', 'Auth\LoginController@showLoginForm')->name('auth.login');
$this->post('login', 'Auth\LoginController@login')->name('auth.login');
$this->post('logout', 'Auth\LoginController@logout')->name('auth.logout');

// Change Password Routes...
$this->get('change_password', 'Auth\ChangePasswordController@showChangePasswordForm')->name('auth.change_password');
$this->patch('change_password', 'Auth\ChangePasswordController@changePassword')->name('auth.change_password');

// Password Reset Routes...
$this->get('password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('auth.password.reset');
$this->post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('auth.password.reset');
$this->get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
$this->post('password/reset', 'Auth\ResetPasswordController@reset')->name('auth.password.reset');

Route::group(['middleware' => ['auth'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::get('/dashboard', function () { return redirect('/admin/home'); });
    Route::get('/home', 'HomeController@index');
    Route::resource('roles', 'Admin\RolesController');
    Route::post('roles_mass_destroy', ['uses' => 'Admin\RolesController@massDestroy', 'as' => 'roles.mass_destroy']);
    
    Route::resource('users', 'Admin\UsersController');
    Route::post('users_mass_destroy', ['uses' => 'Admin\UsersController@massDestroy', 'as' => 'users.mass_destroy']);
    
    Route::resource('salles', 'Admin\SallesController');
    Route::post('salles_mass_destroy', ['uses' => 'Admin\SallesController@massDestroy', 'as' => 'salles.mass_destroy']);
    
    Route::resource('appointments', 'Admin\AppointmentsController');
    Route::post('appointments_mass_destroy', ['uses' => 'Admin\AppointmentsController@massDestroy', 'as' => 'appointments.mass_destroy']);
    
    Route::resource('prix', 'PrixController');
    Route::resource('type', 'TypeEntrepriseController');
    Route::resource('timing', 'TimingController');
    
   // Route::get('/demandes', 'DemandeController@index');
});

Route::resource('demandes', 'DemandeController');

app/Salle.php
<?php
namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * Class Salle
 *
 * @package App
 * @property string $nom
 * @property string $description
 * @property string $etat
*/
class Salle extends Model
{
    use SoftDeletes;

    protected $fillable = ['nom', 'description', 'etat', 'couleur'];
    
    
}
 

app/Http/Controllers/Admin/SallesController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Salle;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\StoreSallesRequest;
use App\Http\Requests\Admin\UpdateSallesRequest;

class SallesController extends Controller
{
    /**
     * Display a listing of Salle.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (! Gate::allows('salle_access')) { 
            return abort(401);
        }

        $salles = Salle::all();

        return view('admin.salles.index', compact('salles')); 
    }

    /**
     * Show the form for creating new Salle.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (! Gate::allows('salle_create')) {
            return abort(401);
        }
        return view('admin.salles.create');
    }

    /**
     * Store a newly created salle in storage.
     *
     * @param  \App\Http\Requests\StoreSallesRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreSallesRequest $request)
    {
        if (! Gate::allows('salle_create')) {
            return abort(401);
        }
        $salle = Salle::create($request->all());

        return redirect()->route('admin.salles.index');

       
    }


    /**
     * Show the form for editing Salle.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        if (! Gate::allows('salle_edit')) {
            return abort(401);
        }
        $salle = Salle::findOrFail($id);

        return view('admin.salles.edit', compact('salle'));
    }

    /**
     * Update Salle in storage.
     *
     * @param  \App\Http\Requests\UpdateSallesRequest  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateSallesRequest $request, $id)
    {
        if (! Gate::allows('salle_edit')) {
            return abort(401);
        }
        $salle = Salle::findOrFail($id);
        $salle->update($request->all());

        return redirect()->route('admin.salles.index');
    }


    /**
     * Display Salle.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        if (! Gate::allows('salle_view')) {
            return abort(401);
        }
        $relations = [
            'appointments' => \App\Appointment::where('salle_id', $id)->get(),
        ];

        $salle = Salle::findOrFail($id);

        return view('admin.salles.show', compact('salle') + $relations);
    }


    /**
     * Remove Salle from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        if (! Gate::allows('salle_delete')) {
            return abort(401);
        }
        $salle = Salle::findOrFail($id);
        $salle->delete();

        return redirect()->route('admin.salles.index');
    }

    /**
     * Delete all selected Salle at once.
     *
     * @param Request $request
     */
    public function massDestroy(Request $request)
    {
        if (! Gate::allows('salle_delete')) {
            return abort(401);
        }
        if ($request->input('ids')) {
            $entries = Salle::whereIn('id', $request->input('ids'))->get();

            foreach ($entries as $entry) {
                $entry->delete();
            }
        }
    }

}

resources/views/admin/salles/create.blade.php
@extends('layouts.app')

@section('content')
    <h3 class="page-title">Salles</h3>
    {!! Form::open(['method' => 'POST', 'route' => ['admin.salles.store']]) !!}

    <div class="panel panel-default">
        <div class="panel-heading">
            Ajouter une salle
        </div>
        
        <div class="panel-body">
            <div class="row">
                <div class="col-xs-6 form-group">
                    {!! Form::label('nom', 'Nom*', ['class' => 'control-label']) !!}
                    {!! Form::text('nom', old('nom'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('nom'))
                        <p class="help-block">
                            {{ $errors->first('nom') }}
                        </p>
                    @endif
                </div>
    
                <div class="col-xs-1 form-group">
                    {!! Form::label('couleur', 'Couleur', ['class' => 'control-label']) !!}
                    {!! Form::color('couleur', old('couleur'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('couleur'))
                        <p class="help-block">
                            {{ $errors->first('couleur') }}
                        </p>
                    @endif
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 form-group">
                    {!! Form::label('description', 'Déscription', ['class' => 'control-label']) !!}
                    {!! Form::text('description', old('description'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('description'))
                        <p class="help-block">
                            {{ $errors->first('description') }}
                        </p>
                    @endif
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 form-group">
                    {!! Form::label('etat', 'Etat', ['class' => 'control-label']) !!}
                    {!! Form::text('etat', old('etat'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('etat'))
                        <p class="help-block">
                            {{ $errors->first('etat') }}
                        </p>
                    @endif
                </div>
            </div>
            
        </div>
    </div>

    {!! Form::submit(trans('Enregistrer'), ['class' => 'btn btn-danger']) !!}
    {!! Form::close() !!}
@stop

resources/views/admin/salles/edit.blade.php
@extends('layouts.app')

@section('content')
    <h3 class="page-title">Salles</h3>
    
    {!! Form::model($salle, ['method' => 'PUT', 'route' => ['admin.salles.update', $salle->id]]) !!}

    <div class="panel panel-default">
        <div class="panel-heading">
            Modifier
        </div>

        <div class="panel-body">
            <div class="row">
                <div class="col-xs-6 form-group">
                    {!! Form::label('nom', 'Nom', ['class' => 'control-label']) !!}
                    {!! Form::text('nom', old('nom'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('nom'))
                        <p class="help-block">
                            {{ $errors->first('nom') }}
                        </p>
                    @endif
                </div>
            
            <div class="col-xs-1 form-group">
                    {!! Form::label('couleur', 'Couleur', ['class' => 'control-label']) !!}
                    {!! Form::color('couleur', old('couleur'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('couleur'))
                        <p class="help-block">
                            {{ $errors->first('couleur') }}
                        </p>
                    @endif
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 form-group">
                    {!! Form::label('description', 'Déscription', ['class' => 'control-label']) !!}
                    {!! Form::text('description', old('description'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('description'))
                        <p class="help-block">
                            {{ $errors->first('description') }}
                        </p>
                    @endif
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 form-group">
                    {!! Form::label('etat', 'Etat', ['class' => 'control-label']) !!}
                    {!! Form::text('etat', old('etat'), ['class' => 'form-control', 'placeholder' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('etat'))
                        <p class="help-block">
                            {{ $errors->first('etat') }}
                        </p>
                    @endif
                </div>
            </div>
            </div>
            
        </div>
    </div>

    {!! Form::submit(trans('Mettre à jour'), ['class' => 'btn btn-danger']) !!}
    {!! Form::close() !!}
@stop

resources/views/admin/salles/index.blade.php
@extends('layouts.app')

@section('content')
    <h3 class="page-title">Salles</h3>
    @can('salle_create')
    <p>
        <a href="{{ route('admin.salles.create') }}" class="btn btn-success">@lang('Ajouter')</a>

    </p>
    @endcan

    <div class="panel panel-default">
        <div class="panel-body table-responsive">
            <table class="table table-bordered table-striped {{ count($salles) > 0 ? 'datatable' : '' }} @can('salle_delete') dt-select @endcan">
                <thead>
                    <tr>
                        @can('salle_delete')
                            <th style="text-align:center;"><input type="checkbox" id="select-all" /></th>
                        @endcan

                        <th style="width:20%">Nom</th>
                        <th style="width:40%">Description</th>
                        <th style="width:30%">Etat de la salle</th>
                        <th>Couleur</th>
                        <th>&nbsp;</th>
                    </tr> 
                </thead>

                <tbody>
                    @if (count($salles) > 0)
                        @foreach ($salles as $salle)
                            <tr data-entry-id="{{ $salle->id }}">
                                @can('salle_delete')
                                    <td data-toggle="tooltip" data-placement="left" title="Selectionner"></td>
                                @endcan

                                <td >{{ $salle->nom }}</td>
                                <td >{{ $salle->description }}</td>
                                <td >{{ $salle->etat }}</td>
                                <td  style="background-color:{{ $salle->couleur }}"></td>
                                <td>
                                    @can('salle_view')
                                    <button class="btn" >
                                        <a href="{{ route('admin.salles.show',[$salle->id]) }}" >
                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                    </a>
                                    </button>
                                    @endcan
                                    @can('salle_edit')
                                    <button class="btn" >
                                        <a href="{{ route('admin.salles.edit',[$salle->id]) }}">
                                        <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                    </a>
                                    </button>
                                    @endcan
                                    @can('salle_delete')
                                    {!! Form::open(array(
                                        'style' => 'display: inline-block;',
                                        'method' => 'DELETE',
                                        'onsubmit' => "return confirm('".trans("Etes-vous sur?")."');",
                                        'route' => ['admin.salles.destroy', $salle->id])) !!}
                                    {!! Form::button('<i class="fa fa-trash-o" aria-hidden="true"></i>', ['class' => 'btn', 'type' => 'submit']) !!}
                                    {!! Form::close() !!}
                                    @endcan
                                </td>
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td colspan="8">@lang('quickadmin.qa_no_entries_in_table')</td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>
    </div>
@stop

@section('javascript')
    <script>
        @can('salle_delete')
            window.route_mass_crud_entries_destroy = '{{ route('admin.salles.mass_destroy') }}';
        @endcan

    </script>
@endsection

resources/views/admin/salles/show.blade.php
@extends('layouts.app')

@section('content')
    <h3 class="page-title">Salles</h3>

    <div class="panel panel-default">
        

        <div class="panel-body">
            <div class="row">
                <div class="col-md-6">
                    <table class="table table-bordered table-striped">
                        <tr>
                            <th>Nom</th>
                            <td>{{ $salle->nom }}</td>
                        </tr>
                        <tr>
                            <th>Déscription</th>
                            <td>{{ $salle->description }}</td>
                        </tr>
                        <tr>
                            <th>Etat</th>
                            <td>{{ $salle->etat }}</td>
                        </tr>
                    </table>
                </div>
            </div>
            
            <br/>
            <br/>
            <br/>    
            
<!-- Nav tabs -->
<ul class="nav nav-tabs" role="tablist">
    
<li role="presentation" class="active"><a href="#appointments" aria-controls="appointments" role="tab" data-toggle="tab">Réservations</a></li>
</ul>

<!-- Tab panes -->
<div class="tab-content">
    
<div role="tabpanel" class="tab-pane active" id="appointments">
<table class="table table-bordered table-striped {{ count($appointments) > 0 ? 'datatable' : '' }}">
    <thead>
        <tr>
                        <th>Réservée par</th>
                        <th>Date début</th>
                        <th>Date Fin</th>
                        <th>&nbsp;</th>
        </tr>
    </thead>

    <tbody>
        @if (count($appointments) > 0)
            @foreach ($appointments as $appointment)
                <tr data-entry-id="{{ $appointment->id }}">
                    <td>{{ $appointment->user->name or '' }}</td>
                    <td>{{ $appointment->start_time }}</td>
                    <td>{{ $appointment->finish_time }}</td>
                                <td>
                                    @can('appointment_view')
                                    <a href="{{ route('admin.appointments.show',[$appointment->id]) }}" class="btn btn-xs btn-primary">Voir</a>
                                    @endcan
                                    @can('appointment_edit')
                                    <a href="{{ route('admin.appointments.edit',[$appointment->id]) }}" class="btn btn-xs btn-info">Modifier</a>
                                    @endcan
                                    @can('appointment_delete')
                                    {!! Form::open(array(
                                        'style' => 'display: inline-block;',
                                        'method' => 'DELETE',
                                        'onsubmit' => "return confirm('".trans("Vous êtes sûr?")."');",
                                        'route' => ['admin.appointments.destroy', $appointment->id])) !!}
                                    {!! Form::submit(trans('Supprimer'), array('class' => 'btn btn-xs btn-danger')) !!}
                                    {!! Form::close() !!}
                                    @endcan
                                </td>
                </tr>
            @endforeach
        @else
            <tr>
                <td colspan="9">@lang('quickadmin.qa_no_entries_in_table')</td>
            </tr>
        @endif
    </tbody>
</table>
</div>
</div>

            <p>&nbsp;</p>
            <p>&nbsp;</p>

            <a href="{{ route('admin.salles.index') }}" class="btn btn-default">Retour</a>
        </div>
    </div>
@stop